Bug 284471 - parport_pc does not detect EPP or ECP correctly
parport_pc does not detect EPP or ECP correctly
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2007-09-10 07:22 EDT by Frank DiPrete
Modified: 2008-02-07 23:28 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 23:28:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank DiPrete 2007-09-10 07:22:21 EDT
Description of problem:

When paport_pc loads it always detects the parrallel port modes as
PCSPP,TRISTATE no matter what the bios is set to. Tried EPP and ECP

Version-Release number of selected component (if applicable):

2.6.22.4-45.fc6 #1 SMP

filename:       /lib/modules/2.6.22.4-45.fc6/kernel/drivers/parport/parport_pc.ko
license:        GPL
description:    PC-style parallel port driver
author:         Phil Blundell, Tim Waugh, others
srcversion:     E0025B4A2B4EECA09458DD9
alias:          pnp:dPNP0401*
alias:          pnp:dPNP0400*
alias:          pci:v00009710d00009815sv*sd*bc*sc*i*
alias:          pci:v00009710d00009805sv*sd*bc*sc*i*
alias:          pci:v00009710d00009755sv*sd*bc*sc*i*
alias:          pci:v00009710d00009715sv*sd*bc*sc*i*
alias:          pci:v00009710d00009705sv*sd*bc*sc*i*
alias:          pci:v0000416Cd00000100sv*sd*bc*sc*i*
alias:          pci:v00001415d00008403sv*sd*bc*sc*i*
alias:          pci:v00001415d00009513sv*sd*bc*sc*i*
alias:          pci:v00001415d00009523sv*sd*bc*sc*i*
alias:          pci:v000014DBd00002121sv*sd*bc*sc*i*
alias:          pci:v000014DBd00002120sv*sd*bc*sc*i*
alias:          pci:v00009710d00009815sv00001000sd00000020bc*sc*i*
alias:          pci:v00009710d00009805sv00001000sd00000010bc*sc*i*
alias:          pci:v000014D2d00008001sv*sd*bc*sc*i*
alias:          pci:v00001592d00000783sv*sd*bc*sc*i*
alias:          pci:v00001592d00000782sv*sd*bc*sc*i*
alias:          pci:v000014F2d00000121sv*sd*bc*sc*i*
alias:          pci:v00001409d00007268sv00001409sd00009018bc*sc*i*
alias:          pci:v00001409d00007268sv00001409sd00000104bc*sc*i*
alias:          pci:v00001409d00007268sv00001409sd00000103bc*sc*i*
alias:          pci:v00001409d00007268sv00001409sd00000102bc*sc*i*
alias:          pci:v00001409d00007268sv00001409sd00000101bc*sc*i*
alias:          pci:v00001409d00007168sv00001409sd0000D079bc*sc*i*
alias:          pci:v00001409d00007168sv00001409sd0000C079bc*sc*i*
alias:          pci:v00001409d00007168sv00001409sd0000B079bc*sc*i*
alias:          pci:v00001409d00007168sv00001409sd0000A079bc*sc*i*
alias:          pci:v00001409d00007168sv00001409sd00009079bc*sc*i*
alias:          pci:v00001409d00007168sv00001409sd00008079bc*sc*i*
alias:          pci:v00001409d00007168sv00001409sd00007079bc*sc*i*
alias:          pci:v00001409d00007168sv00001409sd00006079bc*sc*i*
alias:          pci:v00001409d00007168sv00001409sd00005085bc*sc*i*
alias:          pci:v00001409d00007168sv00001409sd00005079bc*sc*i*
alias:          pci:v00001409d00007168sv00001409sd00005078bc*sc*i*
alias:          pci:v00001409d00007168sv00001409sd00004096bc*sc*i*
alias:          pci:v00001409d00007168sv00001409sd00004095bc*sc*i*
alias:          pci:v00001409d00007168sv00001409sd00004089bc*sc*i*
alias:          pci:v00001409d00007168sv00001409sd00004088bc*sc*i*
alias:          pci:v00001409d00007168sv00001409sd00004085bc*sc*i*
alias:          pci:v00001409d00007168sv00001409sd00004079bc*sc*i*
alias:          pci:v00001409d00007168sv00001409sd00004078bc*sc*i*
alias:          pci:v000010B5d00009050sv0000D84Dsd00004014bc*sc*i*
alias:          pci:v00001407d00008800sv*sd*bc*sc*i*
alias:          pci:v00001407d00008003sv*sd*bc*sc*i*
alias:          pci:v00001407d00008002sv*sd*bc*sc*i*
alias:          pci:v00001407d00008000sv*sd*bc*sc*i*
alias:          pci:v0000131Fd00002021sv*sd*bc*sc*i*
alias:          pci:v0000131Fd00002020sv*sd*bc*sc*i*
alias:          pci:v0000131Fd00001021sv*sd*bc*sc*i*
alias:          pci:v0000131Fd00001020sv*sd*bc*sc*i*
alias:          pci:v00001283d00008872sv*sd*bc*sc*i*
alias:          pci:v00001106d00008231sv*sd*bc*sc*i*
alias:          pci:v00001106d00000686sv*sd*bc*sc*i*
depends:        parport
vermagic:       2.6.22.4-45.fc6 SMP mod_unload 686 4KSTACKS 
parm:           io:Base I/O address (SPP regs) (array of int)
parm:           io_hi:Base I/O address (ECR) (array of int)
parm:           irq:IRQ line (array of charp)
parm:           dma:DMA channel (array of charp)
parm:           init_mode:Initialise mode for VIA VT8231 port (spp, ps2, epp,
ecp or ecpepp) (charp)



How reproducible:

Always


Steps to Reproduce:
1. install kernel 2.6.22.4-45.fc6
2. check /proc/sys/dev/parport/parport0/modes
3.
  
Actual results:

PCSPP,TRISTATE

Expected results:

PCSPP,TRISTATE,ECP

Additional info:

Hardware = dell dimension 2400

output of kudzu -p -b isapnp

class: OTHER
bus: ISAPNP
detached: 0
desc: "PNP0200"
deviceId: PNP0200
-
class: OTHER
bus: ISAPNP
detached: 0
desc: "PNP0303"
deviceId: PNP0303
-
class: OTHER
bus: ISAPNP
detached: 0
driver: parport_pc
desc: "PNP0401"
deviceId: PNP0401
-
class: OTHER
bus: ISAPNP
detached: 0
desc: "PNP0501"
deviceId: PNP0501
-
class: OTHER
bus: ISAPNP
detached: 0
desc: "PNP0700"
deviceId: PNP0700
-
class: OTHER
bus: ISAPNP
detached: 0
desc: "PNP0800"
deviceId: PNP0800
-
class: OTHER
bus: ISAPNP
detached: 0
desc: "PNP0a03"
deviceId: PNP0a03
-
class: OTHER
bus: ISAPNP
detached: 0
driver: rtc-cmos
desc: "PNP0b00"
deviceId: PNP0b00
-
class: OTHER
bus: ISAPNP
detached: 0
desc: "PNP0c01"
deviceId: PNP0c01
-
class: OTHER
bus: ISAPNP
detached: 0
desc: "PNP0c01"
deviceId: PNP0c01
-
class: OTHER
bus: ISAPNP
detached: 0
desc: "PNP0c04"
deviceId: PNP0c04
-
class: OTHER
bus: ISAPNP
detached: 0
desc: "PNP0f13"
deviceId: PNP0f13

output of lspci:

00:00.0 Host bridge: Intel Corporation 82845G/GL[Brookdale-G]/GE/PE DRAM
Controller/Host-Hub Interface (rev 01)
00:02.0 Display controller: Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset
Integrated Graphics Device (rev 01)
00:1d.0 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M)
USB UHCI Controller #1 (rev 01)
00:1d.1 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M)
USB UHCI Controller #2 (rev 01)
00:1d.2 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M)
USB UHCI Controller #3 (rev 01)
00:1d.7 USB Controller: Intel Corporation 82801DB/DBM (ICH4/ICH4-M) USB2 EHCI
Controller (rev 01)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev 81)
00:1f.0 ISA bridge: Intel Corporation 82801DB/DBL (ICH4/ICH4-L) LPC Interface
Bridge (rev 01)
00:1f.1 IDE interface: Intel Corporation 82801DB (ICH4) IDE Controller (rev 01)
00:1f.3 SMBus: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) SMBus
Controller (rev 01)
00:1f.5 Multimedia audio controller: Intel Corporation 82801DB/DBL/DBM
(ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller (rev 01)
01:04.0 SCSI storage controller: Adaptec AHA-7850 (rev 01)
01:05.0 Ethernet controller: Intel Corporation 82546GB Gigabit Ethernet
Controller (rev 03)
01:05.1 Ethernet controller: Intel Corporation 82546GB Gigabit Ethernet
Controller (rev 03)
01:06.0 VGA compatible controller: ATI Technologies Inc RV280 [Radeon 9200 PRO]
(rev 01)
01:06.1 Display controller: ATI Technologies Inc RV280 [Radeon 9200 PRO]
(Secondary) (rev 01)
01:09.0 Ethernet controller: Broadcom Corporation BCM4401 100Base-T (rev 01)

contents of modprobe.conf:

alias scsi_hostadapter aic7xxx
alias usb-controller ehci-hcd
alias usb-controller1 uhci-hcd
alias eth0 e1000
alias eth1 e1000
alias eth2 b44
options snd-card-0 index=0  
remove snd-intel8x0 { /usr/sbin/alsactl store 0 >/dev/null 2>&1 || : ; };
/sbin/modprobe -r --ignore-remove snd-intel8x0
alias snd-card-0 snd-intel8x0
Comment 1 Chuck Ebbert 2007-09-10 19:16:27 EDT
Please post full boot messages (contents of /var/log/dmesg)
Comment 2 Frank DiPrete 2007-09-30 12:08:57 EDT
From this thread:

I re-build the parprt_pc module with the "intel bug detect" code removed.
After doing so the parport is detected correctly.

parport_pc 00:0a: reported by Plug and Play ACPI
parport0: PC-style at 0x378 (0x778), irq 7 [PCSPP,TRISTATE,EPP]

filename:       ./parport_pc.ko
license:        GPL
description:    PC-style parallel port driver
author:         Phil Blundell, Tim Waugh, others
srcversion:     503BB45FE4DBA2568C79F87
alias:          pnp:dPNP0401*
alias:          pnp:dPNP0400*
alias:          pci:v00009710d00009815sv*sd*bc*sc*i*
alias:          pci:v00009710d00009805sv*sd*bc*sc*i*
alias:          pci:v00009710d00009755sv*sd*bc*sc*i*
alias:          pci:v00009710d00009715sv*sd*bc*sc*i*
alias:          pci:v00009710d00009705sv*sd*bc*sc*i*
alias:          pci:v0000416Cd00000100sv*sd*bc*sc*i*
alias:          pci:v00001415d00008403sv*sd*bc*sc*i*
alias:          pci:v00001415d00009513sv*sd*bc*sc*i*
alias:          pci:v00001415d00009523sv*sd*bc*sc*i*
alias:          pci:v000014DBd00002121sv*sd*bc*sc*i*
alias:          pci:v000014DBd00002120sv*sd*bc*sc*i*
alias:          pci:v00009710d00009815sv00001000sd00000020bc*sc*i*
alias:          pci:v00009710d00009805sv00001000sd00000010bc*sc*i*
alias:          pci:v000014D2d00008001sv*sd*bc*sc*i*
alias:          pci:v00001592d00000783sv*sd*bc*sc*i*
alias:          pci:v00001592d00000782sv*sd*bc*sc*i*
alias:          pci:v000014F2d00000121sv*sd*bc*sc*i*
alias:          pci:v00001409d00007268sv00001409sd00009018bc*sc*i*
alias:          pci:v00001409d00007268sv00001409sd00000104bc*sc*i*
alias:          pci:v00001409d00007268sv00001409sd00000103bc*sc*i*
alias:          pci:v00001409d00007268sv00001409sd00000102bc*sc*i*
alias:          pci:v00001409d00007268sv00001409sd00000101bc*sc*i*
alias:          pci:v00001409d00007168sv00001409sd0000D079bc*sc*i*
alias:          pci:v00001409d00007168sv00001409sd0000C079bc*sc*i*
alias:          pci:v00001409d00007168sv00001409sd0000B079bc*sc*i*
alias:          pci:v00001409d00007168sv00001409sd0000A079bc*sc*i*
alias:          pci:v00001409d00007168sv00001409sd00009079bc*sc*i*
alias:          pci:v00001409d00007168sv00001409sd00008079bc*sc*i*
alias:          pci:v00001409d00007168sv00001409sd00007079bc*sc*i*
alias:          pci:v00001409d00007168sv00001409sd00006079bc*sc*i*
alias:          pci:v00001409d00007168sv00001409sd00005085bc*sc*i*
alias:          pci:v00001409d00007168sv00001409sd00005079bc*sc*i*
alias:          pci:v00001409d00007168sv00001409sd00005078bc*sc*i*
alias:          pci:v00001409d00007168sv00001409sd00004096bc*sc*i*
alias:          pci:v00001409d00007168sv00001409sd00004095bc*sc*i*
alias:          pci:v00001409d00007168sv00001409sd00004089bc*sc*i*
alias:          pci:v00001409d00007168sv00001409sd00004088bc*sc*i*
alias:          pci:v00001409d00007168sv00001409sd00004085bc*sc*i*
alias:          pci:v00001409d00007168sv00001409sd00004079bc*sc*i*
alias:          pci:v00001409d00007168sv00001409sd00004078bc*sc*i*
alias:          pci:v000010B5d00009050sv0000D84Dsd00004014bc*sc*i*
alias:          pci:v00001407d00008800sv*sd*bc*sc*i*
alias:          pci:v00001407d00008003sv*sd*bc*sc*i*
alias:          pci:v00001407d00008002sv*sd*bc*sc*i*
alias:          pci:v00001407d00008000sv*sd*bc*sc*i*
alias:          pci:v0000131Fd00002021sv*sd*bc*sc*i*
alias:          pci:v0000131Fd00002020sv*sd*bc*sc*i*
alias:          pci:v0000131Fd00001021sv*sd*bc*sc*i*
alias:          pci:v0000131Fd00001020sv*sd*bc*sc*i*
alias:          pci:v00001283d00008872sv*sd*bc*sc*i*
alias:          pci:v00001106d00008231sv*sd*bc*sc*i*
alias:          pci:v00001106d00000686sv*sd*bc*sc*i*
depends:        parport
vermagic:       2.6.22.4-45.fc6 SMP mod_unload 686 4KSTACKS 
parm:           io:Base I/O address (SPP regs) (array of int)
parm:           io_hi:Base I/O address (ECR) (array of int)
parm:           irq:IRQ line (array of charp)
parm:           dma:DMA channel (array of charp)
parm:           init_mode:Initialise mode for VIA VT8231 port (spp, ps2, epp,
ecp or ecpepp) (charp)
Comment 3 Frank DiPrete 2007-09-30 12:12:43 EDT
http://lists.infradead.org/pipermail/linux-parport/2005-April/000291.html

> remove the chunk of code in parport-pc.c that reads
>
>        /* Check for Intel bug. */
>        if (priv->ecr) {
>                unsigned char i;
>                for (i = 0x00; i < 0x80; i += 0x20) {
>                        ECR_WRITE (pb, i);
>                        if (clear_epp_timeout (pb)) {
>                                /* Phony EPP in ECP. */
>                                return 0;
>                        }
>                }
>        }
>
> then rebuild. You don't need to install the complete new kernel, just 
> the new parport_pc module.
>
> This has been discussed a few times before on the list. The consensus 
> seems to be that that code prevents the detection of working EPP h/w 
> more often than it detects the old buggy h/w but no-one here seems to 
> know the right way to go about getting the code removed from kernel.org
Comment 4 Jon Stanley 2008-01-07 20:50:37 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 5 Jon Stanley 2008-02-07 23:28:48 EST
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!

Note You need to log in before you can comment on or make changes to this bug.